#pragma once

#include <stdint.h>

#define LOGGER_SIZE 2000

struct LogEntry
{
    int16_t turnAngle;
    int16_t x;
    int16_t y;   
};

class Logger
{
    public:
    Logger();
    void log(struct LogEntry *);
    void dump();
    bool isFull();
    int32_t getSize() { return entryIndex; }
    
    LogEntry entries[LOGGER_SIZE];
    
    // The index of the next entry to write to.
    uint32_t entryIndex;
};
